Bug 843382 - [rfe] include Reference link into TestCase properties
[rfe] include Reference link into TestCase properties
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 04:02 EDT by Lukas Zachar
Modified: 2016-05-31 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:52:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TestCase.referenceLink support (2.25 KB, patch)
2012-07-26 04:02 EDT, Lukas Zachar
no flags Details | Diff

  None (edit)
Description Lukas Zachar 2012-07-26 04:02:56 EDT
Created attachment 600454 [details]
TestCase.referenceLink support

Description of problem:

As the bug 797921 has been verified it would be nice to have Reference link supported by python-nitrate when nitrate comes live.

The attached patch adds this property. 

In the Test case data received form nitrate stage is this property named extra_link so patch uses that field name.
Please free to rename the property to better name, if referenceLink is not good.
Comment 1 Petr Šplíchal 2012-07-27 10:51:39 EDT
Thanks for the bug & patch, Lukáš. I've adjusted it to apply to
the latest changes in devel branch and included a unit test. Also,
I've noticed that 'extra_link' field has no effect upon test case
creation and thus filed bug 843847. When it's fixed we can add the
same functionality to python-nitrate as well. Fix pushed to git:

http://fedorapeople.org/gitweb?p=psss/public_git/python-nitrate;a=commitdiff;h=a62ebb5
Comment 2 Lukas Zachar 2012-11-26 05:37:49 EST
The url above doesn't work any more, I believe it got changed to http://fedorapeople.org/cgit/psss/public_git/python-nitrate/commit/?h=devel&id=a62ebb5d8d6634e175044bafb2433eef3b19cbe1 . 

Hi Petr, 
Is there any estimate when it could get into the master branch (and got packed to the rpm as well)?
Comment 3 Petr Šplíchal 2012-11-26 05:52:06 EST
I hope this will be out by the end of this or the next week.
Comment 4 Petr Šplíchal 2012-12-05 12:31:13 EST
I've moved the git repository to GitHub. The new link is:
https://github.com/psss/python-nitrate/commit/a62ebb5
Comment 5 Fedora Update System 2012-12-10 07:41:50 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.el6
Comment 6 Fedora Update System 2012-12-10 07:47:05 EST
python-nitrate-0.9-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc16
Comment 7 Fedora Update System 2012-12-10 07:47:10 EST
python-nitrate-0.9-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc17
Comment 8 Fedora Update System 2012-12-11 02:47:16 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
Comment 9 Petr Šplíchal 2012-12-11 03:00:41 EST
Package python-nitrate-0.9-0.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-nitrate-0.9-0.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
then log in and leave karma (feedback).
Comment 10 Lukas Zachar 2012-12-11 03:55:28 EST
The read/write of the TestCase.link attribute works. 

But I was not able to set the link in TestCase creation, although I managed to create it via direct xmlrpc calls as described in bug 843847.

I am quite happy with the current functionality in python-nitrate-0.9-0.el6, so please fix/push with some bigger changes when it is more convenient for you.
Comment 11 Petr Šplíchal 2012-12-11 09:30:34 EST
Oh, I see, thanks for catching this. I've added support for
setting the reference link upon test case creation and have
enhanced the self test to cover this as well:

https://github.com/psss/python-nitrate/commit/88123b9
Comment 12 Fedora Update System 2012-12-19 03:32:43 EST
python-nitrate-0.9-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-12-19 03:43:25 EST
python-nitrate-0.9-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-01-07 13:52:27 EST
python-nitrate-0.9-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-01-11 20:09:54 EST
python-nitrate-0.9-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.